%{?nodejs_find_provides_and_requires}

%global packagename invert-kv
%global enable_tests 1

Name:		nodejs-invert-kv
Version:	1.0.0
Release:	1%{?dist}
Summary:	Invert the key/value of an object. Example: {foo: 'bar'} → {bar: 'foo'}

License:	MIT
URL:		https://github.com/sindresorhus/invert-kv
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/invert-kv/c28c3a15abcde3f67bd90f90f8ffe54a5f8cb04e/test.js
# The license file isn't in the npm tarball, either :-(
Source2:	https://raw.githubusercontent.com/sindresorhus/invert-kv/c28c3a15abcde3f67bd90f90f8ffe54a5f8cb04e/license


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Invert the key/value of an object. Example: {foo: 'bar'} → {bar: 'foo'}


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
# copy the license
cp -p %{SOURCE2} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
#
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
